دیجی اسکریپت

تغییرات وردپرس Archives | دیجی اسکریپت

به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس ۵٫۲ انتظار دارید؟

وردپرس ۵٫۱ به خاطر ویژگی جدیدش که بررسی قدیمی بودن نسخه PHP بود، با استقبال خوبی مواجه شد. این نسخه از وردپرس تا الان که در حال نوشتن این مقاله هستم، بیش از ۷ میلیون بار دانلود شده است که نشان از همین استقبال دارد. هم اکنون نسخه ۵٫۲ وردپرس نیز در حال تکامل است. این همه سرعت بی‌نظیر است و فقط از وردپرس می‌توان انتظار داشت! اما به راستی شما چه قابلیت هایی از وردپرس ۵٫۲ انتظار دارید؟! آیا به آن فکر کرده‌اید؟ پیشنهاد می‌کنم کمی فکر کنید و اگر هم دوست دارید بدانید در نسخه ۵٫۲ وردپرس چه اتفاقاتی قرار است رخ دهد، با ما همراه باشید.

 

قابلیت هایی از وردپرس ۵٫۲

طبق برنامه تیم توسعه دهنده وردپرس، نسخه ۵٫۲ وردپرس قرار است در تاریخ ۲۳ April 2019 معادل ۳ اردیبهشت ۱۳۹۸ عرضه شود.

 

یکی از ویژگی‌هایی که در این نسخه قرار است وجود داشته باشد، قابلیت مدیریت بلوک‌های ویرایشگر گوتنبرگ است. خیل عظیمی از بلوک‌ها در گوتنبرگ وردپرس وجود دارد که ممکن است خیلی از افراد به تعداد زیادی از آن‌ها نیازی نداشته باشند. قسمتی از این بلوک‌ها، بلوک‌هایی است که ابزارک‌های وردپرس را در قالب بلوک در نوشته یا برگه سایت به نمایش می‌گذارند. این کار به زودی باعث می‌شود تفکر کاربران، به خصوص کاربران تازه کار، نسبت به ماهیت ابزارک در وردپرس تغییر کند و صرفا به چشم یک بلوک در گوتنبرگ به آن‌ها نگاه کنند.

 

علاوه بر این، کاربران بسیاری وجود دارند که از افزونه‌های‌ جانبی برای اضافه کردن بلوک‌های بیشتر به گوتنبرگ استفاده می‌کنند؛ در حالی که از تعداد محدودی از آن ها استفاده شده و بقیه بلا استفاده هستند. مدیریت بلوک‌ها در واقع یکی از قابلیت هایی از وردپرس ۵٫۲ است که کاملا به آن پرداخته می‌شود.

 

به همین خاطر، تعدادی افزونه مستقل مثل Gutenberg Manager و Disable Gutenberg Blocks عرضه شدند تا به کاربران وردپرس این امکان را بدهند تا بلوک‌های اضافی گوتنبرگ را حذف و مدیریت کنند. هر یک از این افزونه‌ها از رابط کاربری خاص خود استفاده می‌کنند.

 

Gutenberg Manager

برای مثال، افزونه Gutenberg Manager، با استفاده از چند سربرگ، بلوک های پیش فرض و اضافه شده را از هم تفکیک کرده و با دسته بندی بلوک‌ها، امکان مدیریت راحت بلوک‌های گوتنبرگ را به ما می‌دهد.

Disable Gutenberg Blocks

افزونه Disable Gutenberg Blocks محیط ساده‌تری دارد. این افزونه لیستی از تمامی بلوک‌های گوتنبرگ را نمایش می‌دهد که با تیک زدن هر یک می‌توانید آن‌ها را غیرفعال کنید.

به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس 5.2 انتظار دارید؟

در این بین، افزونه هایی که بلوک‌های بیشتری نیز به گوتنبرگ اضافه می‌کردند، همانند افزونه‌های Advanced Gutenberg Blocks  و CoBlocks ، امکان مدیریت و حذف بلوک‌های اضافی گوتنبرگ را نیز فراهم کرده‌اند. از همین‌جا می‌توان به قابلیت هایی از وردپرس ۵٫۲ پی برد.

به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس 5.2 انتظار دارید؟

CoBlocks

افزونه CoBlocks نیز همین مسئولیت را بر عهده دارد. اما قابلیت جالبی که دراین افزونه وجود دارد این است که می‌توان بلوک‌ها را در خود صفحه گوتنبرگ فعال یا غیر فعال کرد. امکان غیر فعال کردن یک دسته‌بندی از بلوک‌ها نیز امکان پذیر است.

به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس 5.2 انتظار دارید؟

پس از اینکه این قابلیت افزونه CoBlocks معرفی شد، افراد زیادی از تیم توسعه دهنده وردپرس درخواست کردند تا این قابلیت ساده به گوتنبرگ اضافه شود.

 

اما نظر برخی از افراد تیم وردپرس این بود که این قابلیت، بیشتر برای کاربران پیشرفته کاربرد دارد و کاربران عادی، نیازی به این قابلیت ندارند. همچنین اشاره کردند که این قابلیت جزو برنامه‌های اصلی توسعه گوتنبرگ نبوده است.

 

کاملا مشخص است که اولویت‌های تیم توسعه دهنده وردپرس تغییر کرده است و اضافه کردن قابلیت مدیریت بلوک‌های گوتنبرگ، یکی از قابلیت‌هایی است که انتظار می‌رود در نسخه ۵٫۲ وجود داشته باشد؛ چرا که خیلی از کاربران از این‌گونه افزونه‌ها برای مدیریت بلوک‌های گوتنبرگ استفاده می‌کنند.

 

هم اکنون این افزونه‌ها هستند که نیاز کاربران را برطرف می‌کنند. هر یک از این افزونه‌ها رابط کاربری خاص خود را دارند و بهتر است که خود وردپرس با رابط کاربری مناسبی، این امکان را در اختیار کاربرانش قرار دهد.

 

سایر امکانات

بقیه قابلیت هایی از وردپرس ۵٫۲ که انتظار می رود وجود داشته باشند، عبارت اند از:

  • بهبود Site Health Check
  • جلوگیری از خطاهای PHP
  • اطمینان از آپدیت‌های اورجینال قالب‌ها

قرار است نسخه بتای وردپرس ۵٫۲ در تاریخ ۱۴ March 2019 عرضه شود. باید منتظر باشیم و ببینیم تیم توسعه دهنده وردپرس در نسخه جدید، چقدر به قول‌های خود پایبند هستند.

نوشته به عنوان کاربر وردپرس چه قابلیت هایی از وردپرس ۵٫۲ انتظار دارید؟ اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

مشکل امنیتی در وردپرس! به نسخه ۵٫۱٫۱ آپدیت کنید

مشکل امنیتی در وردپرس! به نسخه ۵٫۱٫۱ آپدیت کنید

۵ از ۱ رای


نسخه 5.1.1 وردپرس

شاید برای شروع یک روز وردپرسی یک تیتر عجیب باشد. اما وردپرس مشکل امنیتی پیدا کرده. مشکلی که هر آن ممکن هست سایت شما رو با مشکلاتی مواجه کند. خب مشکلات امنیتی در هر سیستمی بوجود آمده و خواهد آمد. اما مهم این هست که توسعه دهندگان آن سیستم، سریعا آپدیتی برای حل مشکل امنیتی ارائه می‌کنند یا خیر؟!

نگران نباشید چون توسعه‌دهندگان وردپرس مثل همیشه پشت شما هستند. نسخه ۵.۱.۱ وردپرس همین دیروز منتشر شد. پس همین حالا وردپرس خود را به نسخه ۵.۱.۱ آپدیت کنید تا از شر این باگ امنیتی خلاص شوید.

همانطور که گفتم نسخه ۵٫۱٫۱ وردپرس همین الان در دسترس شماست. این نسخه ۱۰ مورد جدید شامل حل مشکلات و بهبود سیستم را در بر دارد.

در این مطلب می‌خوانید:

تغییرات نسخه ۵.۱.۱ وردپرس

این نسخه بهبود‌هایی در زمینه فیلتر نظرات سایت و ذخیره آن‌ها در دیتابیس سایت شما به همراه دارد که باعث حل این مشکل در سایت شما شده. در نسخه قبلی هکر می‌توانست با استفاده از یک کامنت مخرب، پست شما را با استفاده از XSS یا cross-site scripting با مشکل مواجه کند.

این مشکل در نسخه ۵.۱ وردپرس و قبل از آن به وجود آمده بود که خوشبختانه در نسخه ۵.۱.۱ توسط تیم توسعه‌دهنده امنیتی وردپرس رفع و رجوع شد.

نسخه بعدی تو راهه…

راستی. تیم وردپرس اعلام کرده که این نسخه یک نسخه موقت هست و تا ۲ هفته دیگر نسخه ۵.۱.۲ هم منتشر خواهد شد.

چطور به ۵.۱.۱ آپدیت کنیم؟

برای آپدیت وردپرس می‌توانید از منوی پیشخوان > بروز‌رسانی‌ها اقدام کنید و نسخه ۵.۱.۱ را دریافت کنید. در صورتی که آپدیت از این طریق انجام نشد، می‌توانید از روش آپدیت دستی وردپرس این‌کار را انجام دهید.

راستی! برای دریافت مطالب وردپرسی در کانال تلگرام میهن وردپرس عضو شوید.



لینک منبع مطلب

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس ۵٫۱

حتما می‌دانید برای اینکه بتوانید یک سایت وردپرسی را راه‌اندازی کنید نیازمند یک سری پیش‌نیازهایی در هاست خود خواهید بود. مثلا اینکه هاست شما لینوکسی باشد بهتر است، از Mysql پشتیبانی کند و همچنین از PHP پشتیبانی کند. معمولا سرورها نسخه‌های مختلفی از php را ارائه می‌دهند که اگر خیلی این ورژن پایین نباشد مشکلی در نصب وردپرس ایجاد نمی‌شود. اما…

 

در نسخه ی ۵٫۱ وردپرس و نسخه‌های بعدی آن، مدیران سایت در پیشخوان وردپرس، پیام‌ها و اخطار‌هایی مبنی بر قدیمی بودن نسخه PHP هاست خود دریافت می‌کنند. جای نگرانی نیست! برعکس، اتفاق خوبیست.

 

قدیمی بودن نسخه PHP هاست

این ویژگی جدید وردپرس، باعث افزایش امنیت و بهبود عملکرد سایت‌ها به ویژه وردپرس خواهد شد. در حال حاضر، اگر نسخه PHP هاست یا سرور شما کمتر از ۵٫۶ باشد، هشدار قدیمی بودن نسخه PHP هاست را از سوی وردپرس دریافت خواهید کرد.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

در حالی که کمترین نسخه‌ای از PHP که در حال حاضر پشتیبانی می شود و به روز رسانی های امنیتی دریافت می کند، نسخه ۷٫۱ است، ایده ما این است که نباید محدودیتی از طرف پشتیبانی وجود داشته باشد. PHP 5.6 هنوز هم جزو نسخه‌های پیشنهادی برای برآورده کردن نیازهای وردپرس و اجرای بهتر آن است. همان‌طور که گفتیم، نسخه ۵٫۶، آستانه دریافت هشدار قدیمی بودن نسخه PHP هاست به شمار می‌آید و ممکن است در آینده، این آستانه افزایش یابد.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

مشاهده ورژن پی اچ پی

لینکی که با کلیک کردن روی دکمه Learn more about updating PHP وارد آن خواهید شد، صفحه‌ای است که به طور واضح این مشکل را برای شما توضیح می‌دهد و راه‌حل آن نیز به شما نشان می‌دهد تا بتوانید نسخه PHP را بروزرسانی کنید.  این لینک قابلیت شخصی‌سازی دارد و شرکت‌های هاستینگ می‌توانند این لینک را با استفاده از متغیر (Environment (WP_UPDATE_PHP_URL تغییر دهند تا به کاربران نمایش داده شود. این کار باید زمانی انجام شود که منبع آموزشی خوبی برای بروزرسانی PHP در زبان شما وجود داشته باشد. همانطور که در عکس زیر می بیند، اگر این لینک عوض شد، باز هم نسخه اصلی آموزش آن که در سایت اصلی وردپرس وجود دارد، در دسترس همه کاربران خواهد بود.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

جلوگیری از Fatal Error

برای کمک به حل مشکلات و خطاهایی که پس از بروزرسانی PHP ظاهر می‌شوند، در وردپرس، مکانیسمی برای تشخیص Fatal Error ها پیاده‌سازی شده است. در حالی که اکثر قالب‌ها و افزونه‌ها با آپدیت PHP دچار مشکل نمی‌شوند، اما هنوز هم برخی از افزونه‌ها و قالب‌ها هستند که با نسخه‌های جدید PHP به خوبی هماهنگ نیستند و در عملکرد آن‌ها اختلال ایجاد می‌شود. متاسفانه این امر باعث می‌شود به خاطر عدم پشتیبانی قالب یا افزونه از نسخه‌های جدید PHP، کل سایت از دسترس خارج شود و شما با خطای Fatal مواجه شوید.

 

چگونه خطاها را برطرف کنیم؟

با استفاده از محافظ (WSOD (white-screen-of-death protection، وردپرس متوجه خواهد شد که چه زمانی Fatal Error رخ داده است و کدام یک از قالب یا افزونه‌ها باعث این خطا شده‌اند و آن‌ها را شناسایی خواهد کرد. هنگامی که به پیشخوان وردپرس مراجعه کنید، قالب و افزونه مربوطه غیر فعال خواهد شد تا کاربران بتوانند مشکل را (حداقل به طور موقت) حل کنند. این قالب یا افزونه‌ها فقط در پنل مدیریتی و backend غیر فعال خواهند شد که در ظاهر یا frontend بی‌تاثیر است اما همین بی‌تاثیر بودن هم خطرناک است. همین که کاربر ببیند سایتش در دسترس نیست و تغییری ایجاد شده است، می‌تواند برای حل مشکل سریع‌تر اقدام کند. WSOD این امکان را فراهم می‌کند تا زمانی که سایت شما به مشکلی برخورد، صفحه‌ای مانند زیر نمایش داده شود تا با استفاده از لینک پایین این صفحه، مدیر سایت نسبت به حل مشکل اقدام نماید.

دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس 5.1

توجه داشته باشید که دلیل اصلی پیاده‌سازی این سیستم، کاهش خطرات ناشی از بروزرسانی PHP بوده است و Fatal Errorها را در حین انجام هر عملیاتی شناسایی می‌کند اما به خود بروزرسانی کاری ندارد.

 

سایت‌هایی که نمی‌خواهند از این ویژگی استفاده کنند…

سایت هایی که نمی‌خواهند از این ویژگی استفاده کنند و مایل به حذف محافظ WSOD هستند، می‌توانند یک فایل به نام fatal-error-handler.php ایجاد کرده که باید شامل یک class سفارشی برای مواجه با Fatal Error باشد. برای اینکه کلا این ویژگی غیرفعال شود، می‌توان از فیلتر WP_DISABLE_FATAL_ERROR_HANDLER استفاده کرد.

 

تشخیص نسخه PHP مورد نیاز افزونه هنگام نصب آن

وردپرس ۵٫۱ هنگام نصب افزونه جدید، برای آن دسته از افزونه‌هایی که به نسخه‌ی PHP بالاتری نسبت به نسخه‌ای که روی سرور شما نصب است نیاز دارند، هشداری با مضمون “قدیمی بودن نسخه PHP هاست” به کاربران می‌دهد تا با عدم سازگاری افزونه مورد نظرشان با نسخه PHP سرور خود با خبر شوند. تا کنون هم هر افزونه‌ای که می‌خواستیم نصب کنیم، وردپرس سازگاری یا عدم سازگاری افزونه را با نسخه فعلی وردپرس به ما نمایش می‌داد. حال چنین امکانی برای نسخه PHP نیز فراهم شده است. از این به بعد سازگاری افزونه‌ها با نسخه وردپرس و PHP شما برای وردپرس حائز اهمیت است و اگر این سازگاری و هماهنگی وجود نداشته باشد، دکمه نصب هم غیر فعال خواهد شد! (این‌بار وردپرس شمشیر را از رو بسته، پس باید قدیمی بودن نسخه PHP هاست را برطرف کرد.)

 

کلام آخر

بروزرسانی php که ویژگی جدید وردپرس در نسخه ۵٫۱ است، نخستین گام محدودیت سازگاری نسخه‌های مختلف است و در آینده این محدودیت در هنگام بروز کردن قالب و افزونه‌ها و همچنین هنگام فعال‌سازی آن‌ها اعمال خواهد شد و به زودی قالب‌ها را نیز فرا خواهد گرفت. بی‌صبرانه منتظر این آپدیت کاربردی هستیم

نوشته دریافت “هشدار قدیمی بودن نسخه PHP هاست” در وردپرس ۵٫۱ اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

کاندید نهایی وردپرس ۵٫۱ برای انتشار، در حال آماده شدن است

این یک نقطه عطف مهم محسوب می‌شود؛ چرا که روز به روز به تاریخ انتشار وردپرس ۵٫۱ نزدیک‌تر می‌شویم. کاندید نهایی وردپرس ۵٫۱ به روز موعود خود نزدیک شده و به زودی ارائه می‌شود. البته ممکن است بعضی اوقات به خاطر میلیون‌ها قالب و افزونه وردپرس، بعضی اختلالات مشاهده شود که امری طبیعی است. طبق قولی که تیم توسعه دهنده وردپرس داده بود، نسخه جدید وردپرس باید در تاریخ امروز ۲ اسفند ۹۷ عرضه شود.

 

در مقاله‌های قبلی بیست اسکریپت در مورد این نسخه صحبت کردیم. اگر می‌خواهید شما هم نسخه بتای وردپرس ۵٫۱ را امتحان کنید به مقاله وردپرس ۵٫۱ و تغییرات آن مراجعه کنید. اگر موافق باشید کمی درباره تغییرات وردپرس در نسخه نهایی صحبت کنیم.

 

کاندید نهایی وردپرس ۵٫۱

در وردپرس ۵٫۱ چه می گذرد؟
با توجه به بهبودها در زمینه امنیت و سرعت، این نسخه از وردپرس از یک ویژگی جدید به نام Site Health رونمایی خواهد کرد. با استفاده از این ویژگی جدید، مدیران و وبمستران در پیشخوان وردپرس هشدارهایی مبنی بر قدیمی بودن نسخه PHP سایت خود دریافت خواهند کرد. با توجه به اینکه وردپرس با زبان برنامه نویسی PHP ساخته شده است، بروز بودن این زبان قدرتمند از موارد فوق العاده مهم برای سایت‌های وردپرسی محسوب می‌شود.

 

علاوه بر این، اگر بخواهید افزونه جدیدی روی سایت خود نصب کنید، ابتدا ویژگی جدید Site Health، سازگاری افزونه مورد نظر را با نسخه PHP سایت شما برررسی می‌کند؛ اگر این دو با یکدیگر سازگاری نداشته باشند، وردپرس به شما اجازه نصب آن افزونه را نخواهد داد. جالب است نه؟ بسیاری از مشکلات اینگونه حل خواهند شد!

 

چه خبر از گوتنبرگ؟

ویرایشگر جدید در کاندید نهایی وردپرس ۵٫۱ که گوتنبرگ نام دارد و از وردپرس ۵ به عنوان ویرایشگر اصلی استفاده می شود، بهبودهایی یافته و ایرادهایی از آن رفع شده است. از همه مهم‌تر، سازگاری وردپرس با گوتنبرگ نیز بهتر شده و وقتی آن را اجرا می‌کنید، سریع‌تر عمل خواهد کرد و همچنین نوشتن و تایپ کردن در آن نیز منعطف‌تر شده است در نتیجه حس خوبی به شما القا خواهد کرد. البته تیم توسعه دهنده وردپرس، گسترش و بهبود این ویرایشگر را در برنامه‌های آتی خود قرار داده است.

 

چند توصیه به توسعه دهندگان قالب و افزونه وردپرس

قالب‌‌ها و افزونه‌های خود را با نسخه جدید آزمایش کنید و اگر همه چیز به خوبی پیش می‌رفت، در بخش readme حتما بنویسید که افزونه یا قالب شما تا نسخه ۵٫۱ آزمایش شده است. اگر هم مشکلاتی را یافتید می‌توانید آن‌ها را در انجمن‌های پشتیبانی وردپرس مطرح کنید تا مشکلات نسخه جدید قبل از عرضه نهایی رفع شود.

کاندید نهایی وردپرس 5.1 برای انتشار، در حال آماده شدن است

کمک به تیم توسعه دهنده وردپرس

اگر شما نیز باگ یا مشکلی در کاندید نهایی وردپرس ۵٫۱ مشاهده کردید، می‌توانید وارد لینک بالا شده و مشکل را در انجمن های پشتیبانی مطرح کنید تا نسخه نهایی کمترین ایرادی را داشته باشد. هم اکنون ۱۶۵ بهبود و رفع مشکل برای نسخه جدید وردپرس اعلام شده است که قطعا نسخه نهایی عرضه شده را پر بارتر می‌کند.

نوشته کاندید نهایی وردپرس ۵٫۱ برای انتشار، در حال آماده شدن است اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

در وردپرس ۵٫۱ با چه تغییراتی مواجه می‌شویم؟

وردپرس همچنان به عنوان یک سیستم بروز در حال اجرای تغییرات و تحولاتی است که وبسایت شما را به سمت پیشرفت بهتر ببرد. بعد از وردپرس ۵ نسخه‌های متعددی که با هدف رفع اشکالات موجود بوده، ارائه شد. در حال حاضر نیز تیم توسعه در حال تکمیل نسخه ۵٫۱ وردپرس هستند.

 

در مقاله‌های قبلی ۲۰اسکریپت به یکی از ویژگی‌های کلیدی که قرار بود در وردپرس ۵٫۱ ارائه شود اشاره کردیم و آن هم دریافت هشدار قدیمی بودن نسخه PHP بود. یک ویژگی بسیار مهم که برای سلامت سایت وردپرس شما ضروری است اما بنا به دلایل امنیتی، تیم توسعه دهنده وردپرس این ویژگی جدید را در این نسخه قرار نداد و وعده داده است که در نسخه ۵٫۲ وردپرس از ویژگی هشدار قدیمی بودن نسخه PHP رونمایی کند. تیم وردپرس اعلام کرده است که نسخه ۵٫۱ را در تاریخ ۲۱ February معادل ۲ اسفند ۹۷ منتشر خواهد کرد.

 

وردپرس ۵٫۱

چند روز پیش نسخه بتای وردپرس ۵٫۱ برای توسعه دهندگان عرضه شد. با این حال شما هم می‌توانید این نسخه را از انتهای همین مقاله دانلود کنید اما توجه داشته باشید که این نسخه هنوز کامل نشده است و به هیچ وجه آن را روی سایت اصلی خود نصب نکنید. می توانید این نسخه از وردپرس را روی لوکال هاست نصب کنید تا با تغییرات آن آشنا شوید. (نصب وردپرس روی لوکال هاست)
اگر پیشنهاداتی هم دارید حتما به توسعه‌دهندگان وردپرس منتقل کنید.

 

برخی از تغییرات نسخه ۵٫۱ وردپرس

در وردپرس 5.1 با چه تغییراتی مواجه می‌شویم؟

تعدادی از مشکلات و باگ‌ها در این نسخه برطرف شده‌اند که به آن‌ها اشاره می‌کنیم:

  • TinyMCE به نسخه ۴٫۹٫۲ بروز رسانی شد.
  • برخی از مشکلات ویرایشگر گوتنبرگ برطرف شد.
  • بهبود عملکرد ویرایشگر قدیمی و کلاسیک
  • بهبود امنیت و سرعت

بررسی نسخه بتای ۵٫۱ وردپرس

سایر تغییرات وردپرس در ۵٫۱ بصورت زیر است:

سرعت بالا

اولین چیزی که نظر مرا به خود جلب کرد، سرعت بیشتر در هنگام نصب و همچنین هنگام کار با وردپرس بود. افزایش سرعت چشم‌گیری حین کار با وردپرس حس می‌شد که قطعا برای همه کارآمد و مفید خواهد بود. همین سرعت بهتر باعث می‌شود سریع تر به قسمت‌های مختلف دسترسی داشته باشید. تصور کنید مقاله‌ای می‌نویسید و پس از زدن دکمه انتشار، ۱ ثانیه بعد مقاله شما منتشر شده و پیام “نوشته منتشر شد” را به همین سرعت می بینید. البته فراموش نکنید سرعت هاست شما در اولویت است و باید از سرویس‌های خوب و پر سرعت هم استفاده کنید تا بهترین نتیجه را بگیرید.

گوتنبرگ فارسی

در وردپرس 5.1 با چه تغییراتی مواجه می‌شویم؟

بسیاری از کاربران از ویرایشگر گوتنبرگ به خاطر فارسی نبودن استفاده نمی‌کردند. اکنون تیم توسعه دهنده وردپرس، نسخه فارسی ویرایشگر جدید وردپرس را نیز به وردپرس ۵٫۱ اضافه کرده است که می‌تواند بهانه خوبی برای استفاده از گوتنبرگ به جای ویرایشگر کلاسیک وردپرس باشد. اکنون همه قسمت‌های گوتنبرگ، فارسی شده که سهولت استفاده را برای کاربران ایرانی و فارسی زبان به همراه دارد.

 

سخن پایانی

اگر تیم توسعه دهنده وردپرس به قول خود عمل کند، در تاریخ ۲ اسفند شاهد وردپرس ۵٫۱ خواهیم بود که شاید تفاوت ظاهری زیادی نداشته باشد اما طبعا مثل همیشه از لحاظ امنیتی بهبود یافته است و از همه جذاب‌تر، ویرایشگر گوتنبرگ با زبان فارسی در دسترس است. شما هم این نسخه آزمایشی وردپرس را روی یک سایت تستی امتحان کنید و نظرات خود را برای ما بنویسید. به نظر شما چه ویژگی‌های بهتر دیگری به این نسخه اضافه شده است؟

نوشته در وردپرس ۵٫۱ با چه تغییراتی مواجه می‌شویم؟ اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

وردپرس ۵٫۰٫۳ منتشر شد

تیم توسعه وردپرس به صورت منظم تمامی قسمت‌های وردپرس و هسته آن را بررسی کرده و پس از انتشار وردپرس ۵ ، بروزرسانی‌های متعددی را ارائه می‌کنند. در حال حاضر نیز با وردپرس ۵٫۰٫۳ در خدمت شما هستیم. در این نسخه هم بیشتر اشکالاتی که رفع شده مربوط به ویرایشگر و برقراری ارتباط با آن است. بد نیست ما هم از این اطلاعات باخبر شویم و بدانیم چه تغییراتی در هسته وردپرس رخ می‌دهد و تیم توسعه چه می‌کنند.

 

وردپرس 5.0.3 منتشر شد

 

وردپرس ۵٫۰٫۳

وردپرس ۵٫۰٫۳ با هدف برطرف کردن ۳۷ باگ امنیتی و بروزرسانی ۷ عملکرد روی کار آمد. تمرکز این نسخه روی بلوک‌های ویرایشگر جدید و همچنین رفع اشکالات مرتبط است. به برخی از مواردی که به آن پرداخته شده و مهم‌تر هستند می‌پردازیم:

  • رفع ۱۵ باگ در بلوک ویرایشگر و توسعه آن و اطمینان حاصل کردن از بروزرسانی درست و بدون اشکال آن.
  • رفع ۲ باگ و خطای مشهود در بلوک ویرایشگر گوتنبرگ 
  • با غیرفعال کردن جاوا اسکریپت خطایی در هنگام استفاده از ویرایشگر مشاهده می‌شد که این مورد نیز در وردپرس ۵٫۰٫۳ برطرف شد.
  • خطاهایی از سمت php دریافت شده که مشکل رفع و شخصی‌سازی شد.
  • خطاهایی مربوط به بارگذاری فایل‌های مشترک مانند CSV ها نیز رفع شد.

همانطور که می‌بینید وردپرس بصورت منظم در حال بروزرسانی و برطرف کردن این خطاها و مشکلات است. تیم توسعه وردپرس هرگز موردی را نادیده نمی‌گیرند؛ هم خودشان مرتب در حال تست و بررسی هستند، هم اینکه به دیدگاه‌ها و نظرات کاربران اهمیت می‌دهند و به حل مشکل می‌پردازند. پس وردپرس سیستمی است که واقعا دارای اعتبار بوده و می‌توان به آن اعتماد کرد.

  در وردپرس ۳٫۹ منتظر چه تغییراتی باشیم

دریافت وردپرس ۵٫۰٫۳

هم‌اکنون می‌توانید وردپرس ۵٫۰٫۳ را هم در پیشخوان خود مشاهده کرده و دریافت کنید و هم از مخزن وردپرس آن را دانلود کرده و بصورت دستی بروزرسانی و راه اندازی کنید. (بروزرسانی دستی وردپرس)

نوشته وردپرس ۵٫۰٫۳ منتشر شد اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

وردپرس ۵٫۰٫۲ با هدف تعمیر و نگهداری منتشر شد

پس از انتشار وردپرس ۵ ، دومین نسخه آن یعنی وردپرس ۵٫۰٫۲ نیز با هدف تعمیر برخی باگ‌ها و مشکلات امنیتی و نگهداری منتشر شد. در این نسخه ۷۳ باگ امنیتی برطرف شده و مجددا تمرکز تیم توسعه وردپرس بر روی بلوک‌های ویرایشگر بود. دستاورد این موضوع ۳۳۰ درصد سریع‌تر برای یک پست با ۲۰۰ بلوک است. در اینجا به بعضی از تغییرات مهم در این نسخه اشاره می‌کنیم.

 

وردپرس ۵٫۰٫۲

در هر بروزرسانی وردپرس عموما تغییراتی به وجود می‌آید که الزاما مربوط به ظاهر کار نیست بلکه در هر نسخه باگ‌ها و مشکلاتی را که تیم توسعه پیدا می‌کنند یا افراد و کاربران گزارش می‌دهند یافته و رفع می‌کنند. پس حتی همین نسخه‌های کوچک را نیز باید جدی گرفت و وردپرس را بروز کرد. به برخی از مهم‌ترین تغییرات در وردپرس ۵٫۰٫۲ می‌پردازیم…

  • ۴۵ مشکل مربوط به بلوک‌های ویرایشگر در این نسخه رفع شده که ۱۴ مورد آن مربوط به کارایی و ۳۱ باگ امنیتی بوده است.
  • ۱۷ باگ امنیتی بلوک‌ها که در تمامی موضوعات مشهود بوده نیز رفع شده است.
  • ۱۸ مشکل مربوط به بارگذاری اسکریپت‌های موجود در وردپرس در این نسخه حل شده است.

 

بروزرسانی وردپرس به نسخه ۵٫۰٫۲

وردپرس 5.0.2 با هدف تعمیر و نگهداری منتشر شد

برای بروزرسانی وردپرس به نسخه ۵٫۰٫۲ می‌توانید از پیشخوان وردپرس خود آن را بصورت خودکار بروز رسانی کنید. همچنین می‌توانید با مراجعه به مخزن وردپرس، نسخه جدید را دریافت کرده و مراحل بروز رسانی دستی وردپرس را انجام دهید.

نوشته وردپرس ۵٫۰٫۲ با هدف تعمیر و نگهداری منتشر شد اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

وردپرس ۵٫۰٫۱ با هدف حفظ ایمنی بیشتر، منتشر شد

هنوز یک هفته از انتشار وردپرس ۵ نمی‌گذرد که تیم توسعه، وردپرس ۵٫۰٫۱ را منتشر کردند. این انتشار زودهنگام بی‌سابقه است اما بهتر است آن را از دست ندهید. در این نسخه به تنها چیزی که پرداخته شد امنیت وردپرس است. از نسخه ۳٫۷ وردپرس تا نسخه ۵ بصورت کامل بررسی و اسکن انجام شده و هر نوع مشکل امنیتی که در آن بوده، در نسخه ۵٫۰٫۱ برطرف شده است. امنیت هم که یک موضوع کاملا جدی است که همه ما باید به آن توجه ویژه‌ کنیم.

 

وردپرس 5.0.1 با هدف حفظ ایمنی بیشتر، منتشر شد

 

وردپرس ۵٫۰٫۱

در نسخه‌های قبلی و حتی نسخه ۵ وردپرس، بررسی‌های امنیتی وسط تیم توسعه وردپرس انجام شد و به حفره‌هایی برخورد کردند که ترجیح دادند این مشکلات را رفع کرده و وردپرس را به وردپرس ۵٫۰٫۱ بروزرسانی کنند. مواردی که کشف و بررسی شد را با هم بررسی می‌کنیم:

  • Karim El Ouerghemmi متوجه شد که نویسندگان می‌توانند متا داده را برای حذف فایل‌هایی که مجاز به آن نیستند، تغییر دهند.
  • Simon Scannell از RIPS Technologies کشف کرد که نویسندگان می‌توانند پست‌هایی از نوع پست غیر مجاز با ورودی‌های خاص را ایجاد کنند.
  • Sam Thomas دریافت که متصدیان می‌توانند داده‌های متا را به گونه‌ای طراحی کنند که منجر به تزریق در PHP شود.
  • Tim Coen کشف کرد که همکاران می‌توانند نظرات جدیدی را از کاربران دارای امتیازات بالقوه ویرایش کنند، که به طور معمول منجر به آسیب‌پذیری اسکریپت Cross-Site می‌شود.
  • تیم Yoast کشف کرد که صفحه فعال‌سازی کاربر می‌تواند توسط موتورهای جستجو در برخی از تنظیمات غیر معمول فهرست‌بندی شود، که منجر به قرار گرفتن در معرض آدرس‌های ایمیل، و در بعضی موارد نادر کلمه عبور پیش‌فرض ایجاد شده، می‌شود.
  • Tim Coen و Slavco متوجه شدند که نویسندگان سایت‌های میزبانی آپاچی می‌توانند فایل‌هایی که به طور خاص ساخته شده اند را از طریق رفع موانع MIME بارگذاری کنند و منجر به آسیب‌پذیری اسکریپت‌های cross-site شوند.

تمامی موارد گفته شده در بالا که توسط تیم توسعه کشف و بررسی شد در وردپرس ۵٫۰٫۱ رفع شده و با دریافت نسخه جدید می‌توانید بدون مشکلات امنیتی سابق به فعالیت خود ادامه دهید.

 

نحوه بروزرسانی وردپرس به نسخه ۵٫۰٫۱

برای بروزرسانی وردپرس به نسخه جدید می‌توانید از پیشخوان وردپرس خود بروزرسانی خودکار را انجام دهید:

وردپرس 5.0.1 با هدف حفظ ایمنی بیشتر، منتشر شد

همچنین برای دریافت فایل فشرده وردپرس ۵٫۰٫۱ می‌توانید از لینک زیر اقدام به دانلود فرمایید:

نوشته وردپرس ۵٫۰٫۱ با هدف حفظ ایمنی بیشتر، منتشر شد اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

کاندید نهایی (شماره۱) وردپرس ۵٫۰

بعد از ۵ نسخه بتایی که برای وردپرس ۵٫۰ طی چند ماه اخیر ارائه شد، کاندید نهایی وردپرس ۵٫۰ انتشار شد ( WordPress 5.0 RC 1). در واقع این یک نقطه عطف مهمی است و حاکی از خبر انتشار نسخه کامل وردپرس ۵٫۰ است. طی چند ماهی که تیم توسعه وردپرس بر روی نسخه جدید کار کرده‌اند نقص‌ها و مشکلات موجود را برطرف کرده و در حال تست هستند. در واقع این نسخه که به منتخب اول یا RC1 نام‌گذاری شده، مورد تست و بررسی از جهات مختلف قرار گرفته. سوال اینجاست که چرا نسخه ۵٫۰ را اینگونه منتشر می‌کنند؟

 

کاندید نهایی وردپرس ۵٫۰

زیرا می‌خواهند کاربران و توسعه‌دهندگان آن را نصب کرده و همچنان نواقص و مشکلات را بازگو کنند تا در نسخه اصلی این مشکلات بصورت کامل رفع شود. به گفته تیم وردپرس این نسخه یک تغییر و اتفاق بزرگ است به همین دلیل تا جای ممکن باید بی‌نقص منتشر شود. اما بزودی نسخه ۵٫۰ وردپرس منتشر خواهد شد.

 

تست وردپرس ۵٫۰

برای اینکه بتوانید وردپرس ۵٫۰ را تست کنید می‌توانید از نسخه تست بتای وردپرس را نصب کنید یا کاندید نهایی وردپرس ۵٫۰ را نصب کرده و تست کنید. حال ببینیم از وردپرس ۵٫۰ چه خبر!

 

چه امکاناتی در وردپرس ۵٫۰ موجود است؟

بزرگ‌ترین اتفاقی که در کاندید نهایی وردپرس ۵٫۰ افتاده و قرار است در وردپرس ۵٫۰ نسخه اصلی موجود باشد، ویرایشگر گوتنبرگ است. یعنی آینده‌ای جدید با وجود این ویرایشگر در سرتاسر سایت شما در انتظار است. یعنی انعطاف‌پذیری بیشتری برای نمایش محتوای خود دارید و می‌توانید آنگونه تمایل دارید محتوا را به اجرا درآورید و منتشر کنید. بد نیست کمی درباره گوتنبرگ بدانیم…

 

ویرایشگر گوتنبرگ در وردپرس

کاندید نهایی (شماره۱) وردپرس ۵٫۰

یکی از تغییراتی که در کاندید نهایی وردپرس ۵٫۰ رخ داده، درباره همین ویرایشگر گوتنبرگ است. گوتنبرگ ۴٫۵ هفته پیش منتشر شد و در حال حاضر ۱٫۱ میلیون وبسایت قبل از اینکه نسخه ۵٫۰ رونمایی شود، از این ویرایشگر استفاده می‌کنند! و جالب است بدانید ۹۸۰٫۰۰۰ کاربر محتوای خود را با ویرایشگر گوتنبرگ می‌نویسند.
بهتر است به این ویرایشگر عادت کنید زیرا دیگر ویرایشگر وردپرس گوتنبرگ است و افزونه نیست که بخواهید آن را غیرفعال کنید.

 

قالب پیش‌فرض Twenty Nineteen

کاندید نهایی (شماره۱) وردپرس ۵٫۰

در وردپرس ۵٫۰ قالب پیش‌فرض Twenty Nineteen است که بلوک‌های مشخصی را برای ایجاد ویژگی‌های متعددی می‌توان تعریف کرد. چنانچه می‌خواهید یک وبسایت تصویر، راه‌اندازی یک کسب و کار و سایر انواع سایت را پیاده‌سازی کنید، قالب Twenty Nineteen به اندازه کافی قابلیت انعطاف‌پذیری دارد. برخی ویژگی‌های زیر در کاندید نهایی وردپرس ۵٫۰ به چشم می‌خورد:

  • تمامی قالب‌های پیش‌فرض وردپرس برای ویرایشگر گوتنبرگ و عملیات آن بروزرسانی شده‌اند.
  • محتوای ایجاد شده را به راحتی می‌توان بهبود بخشید.
  • وردپرس ۵٫۰ با نسخه پی اچ پی ۷٫۳ منتشر می‌شود و سایر نسخه‌های قدیمی هم تشویق به بروزرسانی می‌کند.
  • توسعه‌دهندگان می‌توانند رشته‌های زبان را به طور مستقیم برای کدهای جاوا اسکریپت عملی کنند.

شما می‌توانید این نسخه از وردپرس را نصب کرده و تست کنید. پس از تست آن چنانچه با مشکلاتی مواجه شدید حتما آن را به تیم توسعه وردپرس اطلاع دهید.

نوشته کاندید نهایی (شماره۱) وردپرس ۵٫۰ اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

وردپرس ۵٫۰ و تغییرات احتمالی آن

وردپرس در حال حاضر به قدرتمندترین سیستم مدیریت محتوای متن باز در جهان تبدیل شده است که ۳۰ درصد از وبسایت‌های جهان را پوشش می‌دهد. قابل توجه دوستانی که با وردپرس آشنایی ندارند، WordPress یک ابزار ایجاد وبسایت به صورت منبع باز (Open Source) است. برای شروع، وردپرس باید بر روی یک وب سرور نصب شود. این سرویس در سال ۲۰۰۳ با یک بیت از کد برای افزایش تایپوگرافی از نوشتن روزانه، با کاربرانی کمتر از انگشتان یک دست شروع شد. از آن زمان به بعد بزرگترین ابزار وبلاگ‌نویسی در جهان است که در میلیون‌ها سایت استفاده می‌شود.

 

در حال حاضر که این مقاله را می‌خوانید نسخه وردپرس ۴٫۹٫۸ در دسترس است و به زودی باید با نسخه ۴ خداحافظی کنید و به نسخه ۵ خوش آمد بگویید، به همین دلیل مطلب امروز را به معرفی وردپرس ۵٫۰ اختصاص دادیم.

 

وردپرس ۵٫۰

به تازگی، کنفرانس (WordCamp Europe 2018 (WCEU برگزار شد، جایی که انتظار می‌رفت ویرایشگر گوتبرگ معرفی شود. بنابراین سخنران اصلی این رویداد، یکی از بنیانگذاران وردپرس، مت مولنوگ بود، که در چند ماه آینده برنامه بلند پروازانه‌ای را برای توسعه بیشتر گوتنبرگ اعلام کرد. تاریخ انتشار وردپرس ۵٫۰ پیشتر در آوریل یا مه ۲۰۱۸ تنظیم شده بود اما به نظر می‌رسد که وردپرس انتشار نسخه ۵ آن را به تاخیر بیاندازد.

 

اکثر کاربران وردپرس احتمالا از این واقعیت مطلع نیستند که قرار است با چه تغییرات در وردپرس مواجه شوند. وردپرس ۵٫۰ در ماه‌های آینده و احتمالا در سال جاری ۲۰۱۸ عرضه خواهد شد. به نظر می‌رسد وردپرس قصد دارد ویرایشگر گوتنبرگ را به ویرایشگر محتوای اصلی وردپرس تبدیل کند و دیر یا زود قالب‌های وردپرسی با این ویرایشگر طراحی و عرضه شوند و نیازی به نصب افزونه صفحه‌ساز دیگری نباشد.

 

مت مولنوگ می‌گوید هدف او این است که گوتنبرگ را تا چندین نسخه قبل از انتشار وردپرس ۵٫۰ گسترش دهد تا کاربران با تغییرات و ویژگی‌های جدید آن مواجه شوند.  پروسه تست توسط تیم وردپرس به طور مداوم در حال اجرا است. بازخورد توسعه دهندگان و سازمان‌ها، اطلاعات ارزشمند و پایه‌ای برای بهبود ویرایشگر، قبل از انتشار رسمی آن در بازار محسوب می‌شود. البته اکنون می‌توان آن را امتحان کرد، نسخه بتای گوتنبرگ در حال حاضر از WordPress در دسترس قرار گرفته و بیش از ۳۰۰٫۰۰۰+ نصب فعال داشته است. البته گوتنبرگ موجود در وردپرس ۵٫۰ ورژن اصلی و بهبود یافته‌ای خواهد بود.

 

یک تغییر بزرگ در ویرایشگر گوتنبرگ

وردپرس ۵٫۰ و تغییرات احتمالی آن

یکی از مهم‌ترین ویژگی‌های وردپرس ۵٫۰ ، ویرایشگر گوتنبرگ خواهد بود. ویرایشگر گوتنبرگ از نام آقای یوهانس گوتنبرگ گرفته شده که پیشتر به عنوان مخترع دستگاه چاپگر قابل حمل خود، شناخته شده بود. ویرایشگر تصویری فعلی ما برای مدیریت محتوا نیاز به استفاده از کدهای کوتاه و HTML دارد. هدف اصلی این است که کاربری آسان‌تر شود. به ویژه برای افرادی که تازه با وردپرس شروع به کار کردند. نسخه اصلی گوتنبرگ هنوز آماده نیست و درحال حاضر در مرحله تست قرار دارد. بنابراین مشکلات و باگ‌های زیادی وجود دارد که در حال برطرف کردن آن هستند تا با یک ویرایشگر محتوای بی‌نقص روبرو شویم.

 

گوتنبرگ یک روش کاملا جدید برای ویرایشگر ایجاد کرده است. کاربر با روش جدید مدیریت محتوا مواجه می‌شود. محتوای جدید به صفحات و پست‌ها از طریق بلوک‌ها اضافه می‌شود. شما فقط باید روی نماد “+” در ویرایشگر کلیک کنید. به این ترتیب، می‌توانید هر نوع محتوایی مانند گالری، ویدیوها یا کدهای جاسازی و حتی بلوک‌های سفارشی را اضافه کنید. و با درگ کردن، محتوا را به راحتی جا به جا کنید.

اگر می‌خواهید این ویرایشگر را خودتان امتحان کنید می‌توانید از تست Gutenberg استفاده کنید و با امکانات آن آشنا شوید.

 

امنیت

وردپرس ۵٫۰ و تغییرات احتمالی آن

بسیاری از وبمسترها ممکن است نگران امنیت وبسایت وردپرسی خود باشند. البته هر نوع نقص امنیتی می‌تواند به کسب و کار ما آسیب‌های جبران ناپذیری وارد کند. برای افزایش امنیت وبسایت‌ها، وردپرس تهیه سرویس هاستینگ معتبر به همراه گواهینامه امنیتی SSL ، کد تایید هویت دو مرحله‌ای گوگل، کد تأیید پشتیبان OTP، پسورد قوی و استفاده از افزونه‌های قدرتمند امنیتی مانند افزونه CloudFlare را توصیه می‌کند. اطلاعات دقیقی در مورد ویژگی‌های امنیتی جدید وردپرس ۵٫۰ در دسترس نیست ولی به نظر می‌رسد وردپرس تلاش خود را برای بهبود امنیت در نسخه‌های آینده بیش از پیش ادامه خواهد داد.

 

بهینه‌سازی موبایل

وردپرس ۵٫۰ و تغییرات احتمالی آن

یکی از مهم‌ترین فاکتورهای سئو در سیستم‌های مدیریت محتوا، ریسپانسیو بودن قالب و تجربه کاربری موبایل است. هرروز شاهد بهینه‌سازی وبسایت‌ها بر بستر موبایل برای کاربر عادی و توسعه دهندگان هستیم. در وردپرس ۵٫۰ هم تلاش شده بیش از پیش این موضوع به یک اصل تبدیل شود و تمامی قالب‌ها بصورت ریسپانسیو ارائه شوند و مدیریت سایت از طریق موبایل امکان‌پذیر باشد.

 

برش تصاویر پس زمینه

در حال حاضر امکان تغییر پس زمینه وبسایت را داریم، اما یک روند خسته کننده است باید بصورت دستی با ابزارهای گرافیکی اندازه و ویرایش تصویر را انجام بدهیم، سپس دوباره آپلود کنیم. در وردپرس ۵٫۰  کاربر می‌تواند عکس را داخل وردپرس قبل از اینکه روی سایت قرار گیرد کاملا ویرایش کند،  شاید این یک بهبود کوچک در ساختار محتوا گذاری باشد ولی قطعا زمان قابل توجهی را در ویرایش تصاویر پس زمینه کاهش می‌دهد.

 

ویرایشگر Front-End

با ویرایشگر front-end هرکسی می‌تواند حتی با تلفن همراه هوشمند خودش صفحات را ویرایش کند. ویرایشگر Visual Composer ویرایشگر غالب وردپرس برای مدت زیادی بوده است ولی اخیرا افزونه ویرایشگر front-end در مارکت‌ها قرار گرفت. Front-end کاربری راحت‌تر و سریع‌تری را در مقایسه با ویژوال کامپوزر دارد. ولی با این حال ویرایشگر front-end  قرار نیست جایگزین ویژوال کامپوزر باشد و هر کدام کارایی خودش را دارد.

 

قبل از ارتقا به وردپرس ۵ موارد زیر را در نظر داشته باشید:

به نظر می آید وردپرس ۵٫۰ با تغییرات کلی و جزئی که خواهد داشت خیلی جالب خواهد بود، اما این یک تغییر بزرگ است و باید نکاتی را در نظر بگیریم تا اختلالی روی سایت به وجود نیاد:

  • بهتر است ابتدا پلاگین Gutenberg را آزمایش کنید.
  • ارتقا به وردپرس ۵٫۰ غیر قابل برگشت است، ابتدا نسخه پشتیبان بگیرید.
  • ممکن است بعضی از موضوعات و پلاگین‌ها را از بین ببرد.
  • تم‌ها و پلاگین‌های مورد استفاده را تغییر خواهد داد.
  • شبیه ویرایشگر مورد استفاده شما نیست، این یک تغییر سخت است.
  • ویژگی بلوک همه چیز (حتی ویدجت‌ها) را جایگزین می‌کند.
  • بهتر است چند ماه پس از انتشار ۵٫۰ منتظر بمانید تا پایدار شود.

 

نتیجه گیری

به طور کلی ما در نسخه جدید وردپرس بطور ویژه شاهد رونمایی از ویرایشگر گوتنبرگ خواهیم بود؛ البته در حال حاضر هم با ویرایشگر Gutenberg تحت تاثیر قرار گرفتیم و این چیزی است که ما برای آینده آن هیجان زده هستیم. به نظر می‌رسد وردپرس وبمستران را تشویق می‌کند تا یک کپی از این ویرایشگر را داشته باشند. احتمالا در ابتدا کاربران اولیه بخشی از یک آزمایش بزرگتر خواهند بود تا در نهایت وردپرس به یک ویرایشگر بی‌نقص در آینده دست یابد.

نوشته وردپرس ۵٫۰ و تغییرات احتمالی آن اولین بار در بیست اسکریپت. پدیدار شد.



لینک منبع مطلب

صفحه 1 از 2
12 بعدی